---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: test-rwo-{{ item }}
  namespace: default
spec:
  selector:
    matchLabels:
      app: test-rwo-{{ item }}
  serviceName: test-rwo-{{ item }}
  replicas: {{ compute_nodes_number|int }}
  template:
    metadata:
      labels:
        app: test-rwo-{{ item }}
    spec:
      terminationGracePeriodSeconds: 1
      securityContext:
        fsGroup: 1000
        runAsUser: 1000
      containers:
        - name: curl
          image: "{{ kubernetes_docker_proxy }}/curlimages/curl:7.76.1"
          command:
            - sleep
            - "1000"
          volumeMounts:
            - name: somewhere
              mountPath: /somewhere
  volumeClaimTemplates:
    - metadata:
        name: somewhere
      spec:
        accessModes:
          - "ReadWriteOnce"
{% if item != "default"%}
        storageClassName: {{ item }}
{% endif %}
        resources:
          requests:
            storage: 1Mi
